Bug 1298995 - firewalld should be disabled or stopped as part of the install process.
firewalld should be disabled or stopped as part of the install process.
Status: CLOSED WORKSFORME
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Jason DeTiberus
Ma xiaoqiang
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-15 11:05 EST by Eric Rich
Modified: 2016-05-30 04:09 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-18 02:22:21 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Rich 2016-01-15 11:05:11 EST
Description of problem:

The install process should disable the firewalld service sine it is not it use. 

Version-Release number of selected component (if applicable): 3.1
How reproducible: 100% 

Steps to Reproduce:
1. Install OpenShift 

Actual results:

Firewalld is enabled and active, after the install. 

Expected results:

Firewalld should be disabled.
Comment 2 Eric Rich 2016-01-15 11:18:08 EST
https://github.com/openshift/openshift-ansible/blob/prod/roles/os_firewall/tasks/firewall/iptables.yml#L16-L21

Seems to indicate that if firewalld is installed, it should be disabled as part of the install process.

Note You need to log in before you can comment on or make changes to this bug.